# module Tk::TclX

### Constants

PACKAGE_NAME

### Public Class Methods

infox(*args) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 32
    def self.infox(*args)
      Tk.tk_call('infox', *args)
    end

package_name() click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 24
    def self.package_version
      begin
        TkPackage.require('Tclx')
      rescue
        ''
      end
    end

signal(*args) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 36
    def self.signal(*args)
      warn("Warning: Don't recommend to use TclX's 'signal' command. Please use Ruby's 'Signal.trap' method")
      Tk.tk_call('signal', *args)
    end

signal_restart(*args) click to toggle source

    # File lib/tkextlib/tclx/tclx.rb, line 41
    def self.signal_restart(*args)
      warn("Warning: Don't recommend to use TclX's 'signal' command. Please use Ruby's 'Signal.trap' method")
      Tk.tk_call('signal', '-restart', *args)
    end